Screencast del soporte de Symfony en Netbeans 6.8

El blog sobre PHP de Netbeans acaba de publicar un screencast que muestra algunas de las principales características del soporte de Symfony en Netbeans 6.8. Aunque dura más de 8 minutos, merece la pena echarle un vistazo para comprobar lo que puede aumentar tu productividad si utilizas Netbeans para desarrollar tus proyectos de Symfony:

La versión 6.8 de Netbeans todavía está en beta, pero ya la puedes descargar en http://download.netbeans.org/netbeans/6.8/beta/ (para probar el soporte de Symfony sólo hace falta que bajes la versión para PHP que ocupa 43 MB).

Y recuerda que por el momento Symfony es el único framework PHP que soporta Netbeans y que tu ayuda fue decisiva para que esto fuera así.

Fuente: Symfony Support Screencast

Comentarios

  1. Que buena fue la noticia de que uno de los mejores IDE soportaría Symfony. Gracias a la gente que voto y muchas gracias a tí, Javier, por seguir aportándonos información interesante constantemente. Actualmente desarrollando con Netbeans 6.8 y peleándome con Doctrine ;).

    Un cordial saludo!

    Alberto Goya el 4 de noviembre de 2009 22:40:45

  2. Impresionante, cada ves esta mas cerca de su objetivo de tener una ide de symfony como un juego de lego soporta la version 1.3?

    Alberto el 5 de noviembre de 2009 02:37:27

  3. @Alberto Goya, si vienes del mundo Propel si que hay que pelearse bastante con Doctrine al principio...pero merece la pena!

    @Alberto, todavía no soporta Symfony 1.3, pero vamos a disfrutar del soporte de Symfony 1.2 antes de pedir más :)

    Javier Eguiluz el 5 de noviembre de 2009 08:47:17

  4. Me parece que van por muy buen camino, muy intuitivo y de verdad parece que nos permitirá desarrollar de una forma mucho más rápida y cómoda.

    Fernando el 5 de noviembre de 2009 23:44:12

  5. Javier,

    Me gustaría saber si el blog tiene rss para agregarlo a mi iGoogle y así ver las nuevas entradas.

    Un saludo.

    David el 13 de noviembre de 2009 16:24:29

  6. David, puedes obtener el RSS de las últimas entradas del blog en http://www.symfony.es/feed/

    Javier Eguiluz el 14 de noviembre de 2009 10:03:25

  7. Lo estoy probando y la verdad que me gusta mucho. En linux no me da el autocompleter de los metodos de los objetos de las vistas pero igualmente me encanta que el autocompleter se haya extendido , y que se pueda navegar mas facilmente de las vista al action , etc. Lo qe estaria realmente bueno es que se disponga de un menu donde se puedan ajustar los valores de los .yml . Eso seria realmente chevere

    Saludos y Felicitaciones a symfony y todo el equipo, los traductores de los libros y la comunidad. Nico ;)

    nixs el 15 de noviembre de 2009 01:51:52

  8. HOla,

    En el video se busca el binario de symfony en la carpeta symfony1.2.9, eso quiere decir que se puede descargar el symfony sin la opcion pear o igual hay que descargarlo de esa manera y luego buscar ese binario luego de ejecutarlo?

    murkein el 16 de noviembre de 2009 21:20:06

  9. Justamente, de hecho es la opción que recomiendo. Si eres un desarrollador que te preocupas por mantener actualizado el sistemas y te tomas el tiempo de hacerlo, es lo más recomendable. Permite gestionar de manera eficiente distintas versiones de Symfony en un mismo equipo para uno o más proyectos. Además, te obliga a relacionarte con subversion para incorporar metodologías de desarrollo en tús propios desarrollos, que seguramente te llevarán a aportar en el proyecto Symfony.

    Rodrigo Miranda el 18 de noviembre de 2009 03:22:46

  10. Genial este tipo de eventos son los que necesitamos para ver de una forma rapida y eficiente cuales son las principales tareas a realizar.

    Enhorabuena!!!!!

    toniocastro el 24 de noviembre de 2009 21:48:22

  11. Hola al staff :) Soy novato en netbeans y en symfony. He instalado el JDK 6 y el netbeans 6.8 y no me tira ningún error. A simple vista parece que todo anda bien, pero cuando intento ver las vistas de una acción me tira el siguiente error:

    java.lang.IllegalArgumentException: The name parameter cannot be an empty character sequence at org.openide.util.Parameters.notEmpty(Parameters.java:103) at org.netbeans.modules.php.api.editor.PhpElement.(PhpElement.java:29) at org.netbeans.modules.php.api.editor.PhpElement.(PhpElement.java:25) at org.netbeans.modules.php.api.editor.PhpVariable.(PhpVariable.java:62) at org.netbeans.modules.php.editor.model.impl.EditorSupportImpl.getPhpElement(EditorSupportImpl.java:180) at org.netbeans.modules.php.editor.model.impl.EditorSupportImpl.access$000(EditorSupportImpl.java:82) at org.netbeans.modules.php.editor.model.impl.EditorSupportImpl$2.run(EditorSupportImpl.java:140) at org.netbeans.modules.parsing.api.ParserManager$UserTaskAction.run(ParserManager.java:129) at org.netbeans.modules.parsing.api.ParserManager$UserTaskAction.run(ParserManager.java:113) at org.netbeans.modules.parsing.impl.TaskProcessor.runUserTask(TaskProcessor.java:190) Caused: org.netbeans.modules.parsing.spi.ParseException at org.netbeans.modules.parsing.impl.TaskProcessor.runUserTask(TaskProcessor.java:192) at org.netbeans.modules.parsing.api.ParserManager.parse(ParserManager.java:99) at org.netbeans.modules.php.editor.model.impl.EditorSupportImpl.getElement(EditorSupportImpl.java:134) at org.netbeans.modules.php.symfony.ui.actions.GoToActionOrViewAction$GoToViewAction$1.run(GoToActionOrViewAction.java:235) at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441) at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303) at java.util.concurrent.FutureTask.run(FutureTask.java:138) at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [catch] at java.lang.Thread.run(Thread.java:619)

    Alguien me puede hechar un cable :( Gracias

    Neoloopy el 22 de diciembre de 2009 21:09:50

  12. Neoloopy, a mi no me muestra ese error. Asegúrate de que tienes la versión 6.8 final y no una "release candidate". Comprueba también si te sucede en todos los proyectos Symfony o solamente en uno concreto.

    Si se sigue produciendo el error, prueba a preguntar en el grupo de usuarios de Symfony, donde puedes encontrar mucha gente que utiliza Netbeans: http://groups.google.com/group/symfony-es/

    Javier Eguiluz el 22 de diciembre de 2009 21:42:01

  13. Hola, he instalado netbeans 6.8 con PHP 5.3 y symfony 1.4.3 Todo funciona bien excepto por el detalle de que no me anda el predictivo de netbeans cuando escribo palabras propias de symfony. Por ejemplo:

    this->miVariable = Doctrine::getTable('NombreTabla');

    Debo instalar o configurar algo para que netbeans pueda ayudarme con el predictivo a medida que voy escribiendo el código?

    Desde ya muchas gracias.

    Ana Lis el 9 de marzo de 2010 07:15:54

  14. Hola a todos.

    Soy usuario de Netbeans desde hace varios años, principalmente como editor de PHP, trabajando con Zend Framework. He hecho algunas pruebas simples de Symfony, he incluso he seguido hasta cierto punto el tutorial de Jobeet de Symfony, con excelentes resultados.

    Sin embargo, me pregunto si la nueva versión de symfony que esta en proceso será compatible con Netbeans, es decir, si la versión 2.0 de Symfony podrá funcionar en Netbeans, así como hasta su versión 1.4.4.

    No he hecho pruebsa hasta ahora, porque no he podido conseguir todo el código de Symfony 2.0 con la herramienta de consola de comandos que suele traer.

    Tengo el presentimiento de que son muchos cambios internos para Symfony para los cuales Netbeans no estará preparado, tal vez, hasta sus siguiente 2 o 3 versiones.

    David Zapata el 12 de abril de 2010 21:17:16

Este artículo ya no permite añadir más comentarios.
¿Por qué? Los artículos cierran sus comentarios automáticamente unos meses después de su publicación para asegurar que estos sigan siendo relevantes.

Compartir en

Publicada el

4 de noviembre de 2009

Etiquetas

Proyectos Symfony destacados

La forma más sencilla de generar el backend de tus aplicaciones Symfony. Ver más

Descargas totales de Symfony

1.069.955.393

Ver descargas en tiempo real

Síguenos en @symfony_es para acceder a las últimas noticias.